#ifndef QGFTFPTARGETSIM_H
#define QGFTFPTARGETSIM_H

#include <QObject>

class QgTftpTargetSim: public QObject
{
    Q_OBJECT

public:
    QgTftpTargetSim(const QString& name, int sid, int port);
    virtual ~QgTftpTargetSim();

public slots:
    void setEraseTime(int t);
    void setProgTime(int t);

private slots:
    void pendingDatagram();
    void timerExpired();

private:

    //virtual void timerEvent(QTimerEvent *event);

    class Implementation;
    Implementation& p_;
};

#endif // QGFTFPTARGETSIM_H
